Pagination
All GET based endpoints that return a list of resources support pagination. The default limit is 20 and maximum is 250. The results are in descending order by default, newest first.
All GET based endpoints that return a list of resources support pagination. The default limit is 20 and maximum is 250. The results are in descending order by default, newest first.
| Parameter | Type | Description |
|---|---|---|
limit | integer | The number of results to retrieve. Must be between 1 and 250 (inclusive). Default value is 20. |
offset | integer | The position to start the results at. The first result has a position of 0. Default value is 0. |
| Parameter | Type | Description |
|---|---|---|
limit | integer | The number of results that this page was limited to. |
offset | integer | The position of the first result retrieved for this page. |
totalResults | integer | The total number of results matching the given criteria. If this number is greater than limit, one or more results were excluded from this page. |
results | array | A page of matching results. This may be a subset of the total. |
1 curl https://api-sandbox.afterpay.com/v1/payments \ 2 -H 'Authorization: Basic <Base64EncodedCredentials>' \ 3 -H 'User-Agent: <MyUserAgent>' \ 4 -H 'Accept: application/json'
1 { 2 "totalResults": 213, 3 "offset": 0, 4 "limit": 20, 5 "results": [ 6 ... 7 ] 8 }